part of 'team_bloc.dart';

abstract class TeamEvent extends Equatable {
  const TeamEvent();

  @override
  List<Object> get props => [];
}

/// 初始化数据
class TeamInitEvent extends TeamEvent {
  final Map<String, dynamic> data;

  const TeamInitEvent(this.data);

  @override
  List<Object> get props => [this.data];
}

/// 关联推荐人
class TeamRelateEvent extends TeamEvent{
  final String inviteCode;
  TeamRelateEvent(this.inviteCode);
  @override
  List<Object> get props => [this.inviteCode];
}